This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 145834 - hal makes fstab 'vfat' for /media/usbdisk
hal makes fstab 'vfat' for /media/usbdisk
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 18:46 EST by Joshua Ferraro
Modified: 2013-03-05 22:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 13:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Ferraro 2005-01-21 18:46:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0 StumbleUpon/1.999

Description of problem:
hal has /media/usbdisk in fstab set to 'vfat' rather than 'auto'. 
using a card with an ext2 filesystem hal mounted it as vfat but when
fstab was changed to 'auto' it mounted correctly

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insert a CF card with ext2 filesystem into a usb cardreader
2. mount /media/usbdisk
3. run 'mount' to see that it has mounted it as vfat rather than ext2
    

Additional info:
Comment 1 David Zeuthen 2005-01-24 17:43:36 EST
Please give the output of

 dd if=/dev/sda1 bs=512 count=1 |hexdump -C

where you should replace /dev/sda1 with the device file of the CF
card. You need to do this as root.
Comment 2 David Zeuthen 2005-03-21 13:17:33 EST
This bug probably stems from the fact that the first sector of your partition
with an ext2 filesystem contains a VFAT signature (ext2 signatures start at
offset 0x0400 IIRC) - so it's probably a bug with your disk formatting software. 

You can fix this by doing a 'dd if=/dev/zero of=/dev/sda1 bs=512 count=1' with
the usual disclaimers; if it breaks you get to keep both pieces etc.

Feel free to reopen this bug if there isn't a VFAT signature in the first sector
(what I asked for in comment 1).

Note You need to log in before you can comment on or make changes to this bug.